package cn.com.infosec.x509;

import java.math.BigInteger;
import java.security.PublicKey;
import java.security.cert.X509Extension;
import java.util.Date;

public interface X509AttributeCertificate extends X509Extension {
   int getVersion();

   BigInteger getSerialNumber();

   Date getNotBefore();

   Date getNotAfter();

   AttributeCertificateHolder getHolder();

   AttributeCertificateIssuer getIssuer();

   X509Attribute[] getAttributes();

   X509Attribute[] getAttributes(String var1);

   boolean[] getIssuerUniqueID();

   void checkValidity();

   void checkValidity(Date var1);

   byte[] getSignature();

   void verify(PublicKey var1, String var2);

   byte[] getEncoded();
}
